var tabla;
var paciente;

//funcion que se ejecuta al inicio
function init(){

  // listar();
    //cargamos los items al select cliente
  /*  $.post("controladores/fisioterapeutaControlador.php?op=selectFisioterapeuta", function(r){
   	$("#idfisioterapeuta").html(r);
   	$('#idfisioterapeuta').selectpicker('refresh');
   }); */
   //Mandamos a limpiar los campos del formulario
   limpiar();
    //cargamos los items al select cliente
    $.post("controladores/ventanControlador.php?op=selectClienteCita", function(r){
        $("#idcliente").html(r);
        $("#idcliente").val(0);
        $('#idcliente').selectpicker('refresh');
    });

	$("#fecha_inicio").change(function(){
		var fechai = $("#fecha_inicio").val();
		var fechaf = $("#fecha_fin").val();
		var url='reportes/LibroDeVenta.php?fi='+fechai+'&ff='+fechaf;
		res='<label>Libro de venta</label><br><a target="_blank" href="'+url+'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
		$("#libroventa").html(res);
		listar();
	});
	
	$("#fecha_fin").change(function(){
		var fechai = $("#fecha_inicio").val();
		var fechaf = $("#fecha_fin").val();
		var url='reportes/LibroDeVenta.php?fi='+fechai+'&ff='+fechaf;
		res='<label>Libro de venta</label><br><a target="_blank" href="'+url+'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
		$("#libroventa").html(res);
		listar();
	});

    //se verifica si el paciente
	$("#idcliente").change(function(){
		limpiar();
		buscarclienteid($("#idcliente").val());
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});

	//se verifica cambio un campo del formulario
	$("#medico").change(function(){
		enlance();
	});

	let $edad = document.getElementById("edad")
	let timeout
	
	//El evento lo puedes reemplazar con keyup, keypress y el tiempo a tu necesidad
	$edad.addEventListener('keydown', () => {
		clearTimeout(timeout)
		timeout = setTimeout(() => {
			console.log('Has dejado de escribir en el input')
			enlance();
			clearTimeout(timeout)

		},1000)
		
	})

	$("#diagnostico").change(function(){
		enlance();
	});

	$("#parrafo1").change(function(){
		enlance();
	});

	$("#parrafo2").change(function(){
		enlance();
	});

	$("#parrafo3").change(function(){
		enlance();
	});

	$("#parrafo4").change(function(){
		enlance();
	});

	$("#parrafo5").change(function(){
		enlance();
	});

	$("#parrafo6").change(function(){
		enlance();
	});

	$("#parrafo7").change(function(){
		enlance();
	});



}
// Se envia en formulario
/* function enviar_formulario(){
    document.informe.submit()
 } */

 /* $('#link').click(function(event){
    event.preventDefault();
    document.informe.submit();
    $(location).attr("href","paciente");
    return false; 
}); */


//Se busca el paciente
function buscarclienteid(idcliente) {
	var idpaciente = idcliente;
	//alert ('tipo y numero: '+ tipo_documento11+ ' '+num_documento11);
	$.ajax({
		url: 'controladores/pacienteControlador.php?op=buscarclienteid',
		method: 'post',
		data: {
			idpaciente : idpaciente
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		datos=JSON.parse(datos);
		console.log( datos );
		/* Se verifica si se delvovio algun resultado */
		if ((datos == null)||(datos == "undefined")) {
			/* hacer algo */
			bootbox.confirm("El Paciente no existe necesita crearlo", function(result){
				if (result) {
					/* $("#tipo_documento1").val(tipo_documento11);
					$("#tipo_documento1").selectpicker('refresh');
					tipo_documento1.style.backgroundColor 	= "#D5D5CE";
					$("#num_documento1").val(num_documento11);
					num_documento1.style.backgroundColor 	= "#D5D5CE";
					$('#myModalCliente').modal('show'); */
                    $(location).attr("href","paciente");
				}
			})
			return;
		}
		
		
		// Se definen las variables de informe
    paciente 			= datos.nombre1+' '+datos.nombre2+' '+datos.apellido1+' '+datos.apellido2;
		var parrafo1	="A quien pueda interesar, la paciente, fue remitida a mi consulta por la ";
		var parrafo2	="quien diagnosticó:";
		var parrafo3	="Para cumplir con los objetivos propuestos en REHABILATACIÓN, la paciente debe asistir a ";
		var parrafo3_1	="(20) veinte sesiones de Tratamiento Fisioterapéutico, las cuales tienen un costo cada una de US$. 30.00";
		var parrafo4	="Les informamos que no aceptamos carta AVAL, para este tipo de tratamiento.";
		var parrafo5	="Es importante destacar que dependiendo de su evolución, la paciente deberá continuar en rehabilitación hasta su completa recuperación.";
		var parrafo6	="Sin otro particular.";
		var parrafo7	="Lic. Maria Elena Sortino Werner";
		var edad			=$("#edad").val();

		//Sé asignan los valor a los input del formulario
		$("#ci").val(datos.ci);
		$("#medico").val(datos.medico);
		$("#diagnostico").val(datos.diagnostico);
    $("#parrafo1").val(parrafo1);
		$("#parrafo2").val(parrafo2);
		$("#parrafo3").val(parrafo3+parrafo3_1);
		$("#parrafo4").val(parrafo4);
		$("#parrafo5").val(parrafo5);
		$("#parrafo6").val(parrafo6);
		$("#parrafo7").val(parrafo7);
       

		//Parametro para el envio de la data
		var separador	= '*/*';
		var datosp		= new Array();
		datosp[0]		= datos.medico;
		datosp[1]		= separador;
		datosp[2]		= datos.diagnostico;
		datosp[3]		= separador;
		datosp[4]		= parrafo1;
		datosp[5]		= separador;
		datosp[6]		= parrafo2;
		datosp[7]		= separador;
		datosp[8]		= parrafo3+parrafo3_1;
		datosp[9]		= separador;
		datosp[10]		= parrafo4;
		datosp[11]		= separador;
		datosp[12]		= parrafo5;
		datosp[13]		= separador;
		datosp[14]		= parrafo6;
		datosp[15]		= separador;
		datosp[16]		= parrafo7;
		datosp[17]		= separador;
		datosp[18]		= datos.ci; 
		datosp[19]		= separador;
		datosp[20]		= paciente;
		datosp[21]		= separador;
		datosp[22]		= edad;  
		var encapsulado			= datosp.toString();
		//console.log('datosp : '+datosp);
		//console.log('encapsulado : '+encapsulado);
		/* console.log('encapsulado1 : '+encapsulado1); */
		//res='<label>INFORME</label><br><a target="_blank" href="reportes/informefisioterapeutico.php?dato='+encapsulado+'"> <i class="fa fa-file">FISIOTERAPÉUTICO</i></a>'
    res='<label>INFORME</label><br><a target="_blank" href="reportes/informefisioterapeutico.php?dato='+encapsulado+'"> <i class="fa fa-file"> FISIOTERAPÉUTICO</i></a>'
		$("#informe").html(res);


        //enlance();



        //$("#tipo_documento").selectpicker('refresh');
        //listarCitas(datos.idpaciente);
		//verificarlistaprecio(datos.idlistaprecio);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});

}

function limpiar() {
	//Sé asignan los valor a los input del formulario
	$("#medico").val("");
	$("#diagnostico").val("");
	$("#edad").val("");
	$("#ci").val("");
	$("#parrafo1").val("");
	$("#parrafo2").val("");
	$("#parrafo3").val("");
	$("#parrafo4").val("");
	$("#parrafo5").val("");
	$("#parrafo6").val("");
	$("#parrafo7").val("");

}

function enlance() {
    //Sé Toman los valor a los input del formulario
		var medico			=$("#medico").val();
		var diagnostico	=$("#diagnostico").val();
    var parrafo1		=$("#parrafo1").val();
		var parrafo2		=$("#parrafo2").val();
		var parrafo3		=$("#parrafo3").val();
		var parrafo4		=$("#parrafo4").val();
		var parrafo5		=$("#parrafo5").val();
		var parrafo6		=$("#parrafo6").val();
		var parrafo7		=$("#parrafo7").val();
		var edad				=$("#edad").val();
		var ci					=$("#ci").val();
       
		console.log('edad: '+edad)
		//Parametro para el envio de la data
		var separador	= '*/*';
		var datosp		= new Array();
		datosp[0]		= medico;
		datosp[1]		= separador;
		datosp[2]		= diagnostico;
		datosp[3]		= separador;
		datosp[4]		= parrafo1;
		datosp[5]		= separador;
		datosp[6]		= parrafo2;
		datosp[7]		= separador;
		datosp[8]		= parrafo3;
		datosp[9]		= separador;
		datosp[10]		= parrafo4;
		datosp[11]		= separador;
		datosp[12]		= parrafo5;
		datosp[13]		= separador;
		datosp[14]		= parrafo6;
		datosp[15]		= separador;
		datosp[16]		= parrafo7; 
		datosp[17]		= separador;
		datosp[18]		= ci; 
		datosp[19]		= separador;
		datosp[20]		= paciente;
		datosp[21]		= separador;
		datosp[22]		= edad;  
		var encapsulado			= datosp.toString();
		//console.log('datosp : '+datosp);
		//console.log('encapsulado : '+encapsulado);
		/* console.log('encapsulado1 : '+encapsulado1); */
		res='<label>INFORME</label><br><a target="_blank" href="reportes/informefisioterapeutico.php?dato='+encapsulado+'"> <i class="fa fa-file"> FISIOTERAPÉUTICO</i></a>'
		$("#informe").html(res); 
}




//funcion listar
function listar(){
var  fecha_inicio       = $("#fecha_inicio").val();
 var fecha_fin          = $("#fecha_fin").val();
 var idfisioterapeuta   = $("#idfisioterapeuta").val();
 
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=ventasfechafisioterapeuta',
			method: 'post',
			data: {
				fecha_inicio     : 	fecha_inicio,
				fecha_fin	     :	fecha_fin,
				idfisioterapeuta :	idfisioterapeuta,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(3).data().sum();
			tactual		= number_format(tactual*1,2);
			total		= number_format(total*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(2).footer()).html('Total:');
			$(api.column(3).footer()).html(total);
	  	}, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();


}


init();  